<?xml version="1.0" encoding="utf-8" ?>
<configuration>
	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
	</configSections>
	<log4net>
		<!--Info日志-->
		<appender name="InfoAppender" type="log4net.Appender.RollingFileAppender">
			<!--日志文件存放位置，可以为绝对路径也可以为相对路径 -->
			<param name="File" value="C:\MWLOG" />
			<!--是否支持分割文件-->
			<param name="AppendToFile" value="true" />
			<param name="MaxFileSize" value="10240" />
			<!--当日志文件达到MaxFileSize大小，就自动创建备份文件。-->
			<param name="MaxSizeRollBackups" value="100" />
			<!-- 当将日期作为日志文件的名字时，必须将staticLogFileName的值设置为false -->
			<param name="StaticLogFileName" value="false" />
			<!-- 日志文件的命名规则 -->
			<param name="DatePattern" value="\\yyyy_MM\\yyyy_MM_dd'.log'" />
			<!--日志文件的记录形式-->
			<param name="RollingStyle" value="Date" />
			<!--日志文件的布局格式：%newline【%date】【级别：%-5level】【线程ID：%thread】%n【内容】：%message%newline %n%n-->
			<layout type="log4net.Layout.PatternLayout">
			<conversionPattern value="【%date】【线程ID：%thread】%message%newline %n%n" />
			</layout>
		</appender>
		
		<!--Info日志-->
		<logger name="LogInfo">
			<level value="INFO" />
			<appender-ref ref="InfoAppender" />
		</logger>
	
	</log4net>
</configuration>